Bug 847847 - GPU fan always runs at maximum speed
GPU fan always runs at maximum speed
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
17
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 14:21 EDT by Gabriel
Modified: 2018-04-11 07:59 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 529973
Environment:
Last Closed: 2012-08-21 01:10:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gabriel 2012-08-13 14:21:16 EDT
+++ This bug was initially created as a clone of Bug #529973 +++

Description of problem:
When using the nouveau driver on NVIDIA video cards like the 8600GTS or 9600GT with driver-controlled fan speeds, the GPU fan runs at maximum speed all the time, making considerably more noise than it should. This is annoying enough that it essentially makes Nouveau unusable for these cards for me (and probably others).

Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-0.0.15-13.20090929gitdd8339f.fc12.x86_64


How reproducible:
Every time

Steps to Reproduce:
1.Start Fedora on 9600GT, 8600GTS, presumably other cards
2.
3.
  
Actual results:
Fan runs at maximum speed

Expected results:
Fan speed controlled appropriately as with the NVIDIA proprietary driver

Additional info:

Just to summarize where we're at on this bug:

 - This *is* a nouveau issue.
 - The problem is missing support for fan control in nouveau.
 - Nouveau developers are about to release improved fan control support.

--- Additional comment from mcepl@redhat.com on 2009-11-05 12:18:42 EST ---

Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

--- Additional comment from hancockrwd@gmail.com on 2009-11-05 18:43:35 EST ---

Problem still occurs in Fedora 12 beta

--- Additional comment from mcepl@redhat.com on 2009-11-07 20:44:19 EST ---

Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), output of the dmesg command, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

--- Additional comment from bskeggs@redhat.com on 2009-11-07 23:36:21 EST ---

There's not a great deal we can do about this at this point.  We lack enough information about how to control the GPU performance levels safely on basically every NVIDIA chipset.

As a workaround, nvclock may be able to control various things such as fan speed, but using it is at your own risk (ie. setting a fan speed too low for the current performance level).

As it currently stands, nouveau will be using the GPU in whichever power level your card's video BIOS initialises.  Which, should be safe unless the VBIOS is buggy.  Most NVIDIA video BIOS initialise the card to the lowest performance level.

--- Additional comment from triage@lists.fedoraproject.org on 2009-11-16 08:56:09 EST ---


This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from mcepl@redhat.com on 2010-02-26 07:27:27 EST ---

Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]

--- Additional comment from hancockrwd@gmail.com on 2010-02-26 21:33:17 EST ---

Don't think any additional info was needed, according to Ben Skeggs this just isn't implemented yet..

--- Additional comment from madsen@foni.net on 2010-03-12 08:06:38 EST ---

I just upgraded from F11 to F13. F11 with the original nVidia driver controles the fan very well. On F13 (alpha) with the nouveau driver the system is unusable - it's simply too loud because the fan runs at full speed all the time :(

I would like to use the nouveau driver but for the moment I try to change to the nVidia driver. 

Please implement fan control in the nouveau driver.

Thank you !


My card is:

# lspci | grep VGA
02:00.0 VGA compatible controller: nVidia Corporation G94 [GeForce 9600 GT] (rev a1)

--- Additional comment from richmattes@gmail.com on 2010-03-31 00:03:51 EDT ---

I've got a Geforce Go6600 in my laptop, and it sounds like it's trying to achieve liftoff every time I boot with Nouveau.  Has there been any progress on this front, and is there any additional information we can provide to help solve it?

--- Additional comment from luigi.3010@gmail.com on 2010-05-02 10:10:39 EDT ---

*** Bug 585203 has been marked as a duplicate of this bug. ***

--- Additional comment from luigi.3010@gmail.com on 2010-05-02 10:28:12 EDT ---

This is not a proper bug, but a feature request as the nouveau driver doesn't touch the fan speeds, as state by Ben Skeggs in https://bugzilla.redhat.com/show_bug.cgi?id=585203#c3. 

Marked as a Feature Request.

The bug duplicated commented above shows also in Fedora 13. 
Changing Version of this bug to 13.

This bug has been triaged

Luigi



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

--- Additional comment from mathieu.mf@gmail.com on 2010-05-03 08:07:24 EDT ---

IMHO it's a bug since F11 and F12 doesn't have this behavior (same computer).

Some logs are here : https://bugzilla.redhat.com/show_bug.cgi?id=585203

--- Additional comment from weston_schmidt@alumni.purdue.edu on 2010-06-04 05:50:41 EDT ---

I am experiencing similar behavior with my Dell XPS M1330 with F13 (32 bit).  The fan isn't at max speed, but it always on.  I really like the auto detect functionality of nouveau, but the fan always being on is driving me nuts.  Is anyone working on this bug?

--- Additional comment from robk@ningaui.net on 2010-06-06 01:27:09 EDT ---

Still occurs for me also - Hardware details at http://www.smolts.org/client/show/pub_698322c7-5943-41d0-b395-e0c328b7e967

--- Additional comment from bastian_knight@wp.pl on 2011-02-22 12:28:59 EST ---

Still occurs for me also. Tested with latest Fedora 15 live image (nouveau test day, 2011-02-22). 
My card is LeadTek WinFast PX 8600 GTS.
lspci:
VGA compatible controller [0300]: nVidia Corporation G84 [GeForce 8600 GTS] [10de:0400] (rev a1)
Hardware profile:
http://www.smolts.org/client/show/pub_0d80ddf7-99c7-42da-9942-f6518d1223e7

--- Additional comment from triage@lists.fedoraproject.org on 2011-06-02 13:35:31 EDT ---


This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from hancockrwd@gmail.com on 2011-06-02 15:59:54 EDT ---

I believe this is still a problem in F15 though I can't personally verify (I've since replaced the GPU fan with a fanless cooler).

--- Additional comment from bastian_knight@wp.pl on 2011-06-02 17:07:38 EDT ---

Yes it is still a problem in F15.

--- Additional comment from robk@ningaui.net on 2011-06-05 23:42:15 EDT ---

Still a problem on F15 on http://www.smolts.org/client/show/pub_0653e433-cccf-45e1-933d-b54bf339c769 - will follow up.

--- Additional comment from robk@ningaui.net on 2011-06-05 23:50:08 EDT ---

I'm aware that this isn't considered a Nouveau issue, and fair enough, but I can't find any other way of quieting the GPU fan. And it's _loud_.

--- Additional comment from gabe@codehaus.org on 2012-05-30 23:52:13 EDT ---

Still a problem on F17.

It seems that the VBIOS of certain GeForce cards sets the fan speed to 100% at power-on. 

When running windows, the fan starts at full blast during system POST, then when Windows loads the video driver the fan slows down and gets quiet.

Running the rpmfusion nonfree drivers, the fan speed slows and becomes quiet as soon as X starts.

So really, there are two options to fix this - either figure out how to modify your VBIOS to change the initial fan speed (dangerous, since Nouveau apparently can't adjust fan speed when load increases), or wait for Nouveau to handle fan control on your hardware.

Or just use the binary blob and forgo all the nice kernel mode setting. Sigh.

--- Additional comment from robk@ningaui.net on 2012-05-31 00:14:25 EDT ---

Yeah, I've long given up and use the binary blob. Not my first choice, but given the alternatives I can live with it. Shame about the nearly three-year old bug, though.

--- Additional comment from gabe@codehaus.org on 2012-05-31 15:34:36 EDT ---

I've checked with Nouveau developer "mupuf" on IRC, and apparently much-improved fan control will be rolled out for testing shortly. 

http://nouveau.freedesktop.org/wiki/FAQ#The_fan_is_really_LOUD_all_the_time._How_do_I_make_it_more_quiet.3F

Just to summarize where we're at on this bug:

 - This *is* a nouveau issue.
 - The problem is missing support for fan control in nouveau.
 - Nouveau developers are about to release improved fan control support.

--- Additional comment from endoflife@fedoraproject.org on 2012-08-07 16:11:24 EDT ---

This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from gabe@codehaus.org on 2012-08-13 14:18:29 EDT ---

This needs to be reopened. It's still an issue with latest nouveau on Fedora 17.
Comment 1 Ben Skeggs 2012-08-21 01:10:10 EDT
This is an upstream issue.  It'll be available in Fedora very soon after it's available in some kind of stable form upstream.

Note You need to log in before you can comment on or make changes to this bug.